API ReferenceapicommsGET /v1/messages/scheduled/{id}

GET /v1/messages/scheduled/\{id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Scheduled message found

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "person_id": {
      "type": "string"
    },
    "channel": {
      "type": "string"
    },
    "template_key": {
      "type": "string"
    },
    "recipient": {
      "type": "string"
    },
    "dedup_key": {
      "type": "string"
    },
    "scheduled_at": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "sent_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "cancelled_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "failure_reason": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "person_id",
    "channel",
    "template_key",
    "recipient",
    "dedup_key",
    "scheduled_at",
    "status",
    "sent_at",
    "cancelled_at",
    "failure_reason",
    "created_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/messages/scheduled/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"